Subject: RE: strange behavior regarding new cygwin 1.3.3 and cmd.exe
From: Suhaib Siddiqi <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 28 Sep 2001 06:43:45 -0400

CL.exe and LINK.EXE are from Microsoft products (Developers Studio) and  Jam
is not a part of XFree86, therefore unfortunately, we may have no idea what
are doing... which makes your JAM call M$ VC++ Compilers executables... Only
thing I can suggest get rid of VC++ from your path if you added it to Cygwin
path... rest you are on your own, because none of those products has any
thing to do with XFree86 and XFree86 executables do not make calls to
execute M$ VC++ executables.  Sorry

Suhaib

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, September 28, 2001 10:35 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: strange behavior regarding new cygwin 1.3.3 and cmd.exe
> 
> 
> I didnt update any xfree components tonight, just Cygwin. My 
> XFree installation hasn't changed, only Cygwin has.
> 
> -- 
>                                             _________________
>                                             [email-masked]
> 
> On 09/27/01, Christopher Faylor said:
> >I've redirected your question to the cygwin-xfree mailing list.
> >
> >cgf
> >
> >On Fri, Sep 28, 2001 at 01:10:10PM -0000, Danny Dulai wrote:
> >>I've been using a make replacement called Jam for a long long time 
> >>under cygwin.
> >>
> >>I recently upgraded to everything bleeding edge as of tonight.
> >>
> >>Now when i type jam, i get each instantiation of CL.EXE (the vc++ 
> >>cmdline
> >>compiler) and LINK.EXE (the vc++ linker) run with all its 
> output in a brand new
> >>cmd.exe window.  each CL.EXE and LINK.EXE invokation pops 
> up a new cmd.exe
> >>window and when the cmd stops executing, it closes that new 
> window it just
> >>popped up.
> >>
> >>I'm using the cygiwn xfree xterm + exceed as my X server. yesterday 
> >>and before, when i typed jam, the CL.EXE and LINK.EXE 
> output just came 
> >>to the xterm and it worked as expected. now this output to 
> the cmd.exe 
> >>window makes looking at compiler errors impossible, and the effect 
> >>just overall very annoying since windows are popping up and 
> dying very 
> >>quickly.
> >>
> >>below is the output from cygcheck -r -s -v
> >>
> >>thanks for any help.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/